{%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
osCommerce Product Manager for Windows (oscpmwin).
Copyright 2003-2006 by Mario A. Valdez-Ramirez.

You can contact Mario A. Valdez-Ramirez
by email at mario@mariovaldez.org or paper mail at
Olmos 809, San Nicolas, NL. 66495, Mexico.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or (at
your option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%}
unit phpinfo;

interface

uses
  Controls, Forms, StdCtrls, Buttons, Classes, ComCtrls;

type
  Topm_Form_PHPInfo = class(TForm)
    opm_Memo_PHPInfo: TMemo;
    opm_BitBtn_PHPInfoOk: TBitBtn;
    opm_StatusBar_PHPInfo: TStatusBar;
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
  end;

var
  opm_Form_PHPInfo: Topm_Form_PHPInfo;

implementation

uses gnugettext, oscpmdata;

{$R *.dfm}


{%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%}
{%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%}
procedure Topm_Form_PHPInfo.FormCreate(Sender: TObject);
begin
  TranslateComponent (self);
end;



{%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%}
{%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%}
procedure Topm_Form_PHPInfo.FormShow(Sender: TObject);
begin
  opm_Form_PHPInfo.Caption := _('PHP configuration on server');
  opm_Memo_PHPInfo.Lines.Text := opmG_PHPInfo;
end;

end.
